Subject: bug#14957: 24.3.50; Flyspell language visible in mode line

From: "Sebastien Vauban" <[email-masked]>
Date: Tue, 14 Jan 2014 19:12:45 +0100

Hello Michael,

(resending it the right way for the bug tracker: via mail)

Michael Heerdegen wrote:
> "Sebastien Vauban" writes:
>
>>   ╭────
>>   │ File mode specification error: (wrong-type-argument >> buffer-or-string-p
>>   │ (:eval (let ((dict (and (featurep (quote ispell)) (not >> buffer-read-only)
>>   │ (or ispell-local-dictionary ispell-dictionary)))) (and dict >> (propertize
>>   │ (concat " " (substring dict 0 2)) (quote face) (quote
>>   │ mode-line-highlight))))))
>>   ╰────
>
> I've no idea what happens for you.  Can you give me a backtrace or a
> reproducible recipe from emacs -Q?

Yes, I now have a backtrace:

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (wrong-type-argument buffer-or-string-p (:eval (let ((dict (and (featurep (quote ispell)) (not buffer-read-only) (or ispell-local-dictionary ispell-dictionary)))) (and dict (propertize (concat " " (substring dict 0 2)) (quote face) (quote mode-line-highlight))))))
  get-text-property(0 help-echo (:eval (let ((dict (and (featurep (quote ispell)) (not buffer-read-only) (or ispell-local-dictionary ispell-dictionary)))) (and dict (propertize (concat " " (substring dict 0 2)) (quote face) (quote mode-line-highlight))))))
  (defconst csv-mode-line-help-echo (get-text-property 0 (quote help-echo) (car default-mode-line-format)) "Primary default mode line help echo text.")
  eval-buffer(#<buffer  *load*> nil "d:/Users/sva/.emacs.d/site-lisp/csv-mode.el" nil t)  ; Reading at buffer position 10682
  load-with-code-conversion("d:/Users/sva/.emacs.d/site-lisp/csv-mode.el" "d:/Users/sva/.emacs.d/site-lisp/csv-mode.el" nil t)
  csv-mode()
  set-auto-mode-0(csv-mode nil)
  set-auto-mode()
  normal-mode(t)
  after-find-file(nil t)
  find-file-noselect-1(#<buffer champs.csv> "~/champs.csv" nil nil "~/champs.csv" ((3584 1 . 1088) (24647 . 36859)))
  find-file-noselect("d:/Users/sva/champs.csv" nil nil t)
  find-file("d:/Users/sva/champs.csv" t)
  call-interactively(find-file nil nil)
  command-execute(find-file)
--8<---------------cut here---------------end--------------->8---

I can reproduce the bug with the CSV file, but my configuration is not yet minimized.

Best regards,
  Seb

-- 
Sebastien Vauban